Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  BOUNDARY mit Punkten

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  BOUNDARY mit Punkten (1350 mal gelesen)
RuralForester
Mitglied


Sehen Sie sich das Profil von RuralForester an!   Senden Sie eine Private Message an RuralForester  Schreiben Sie einen Gästebucheintrag für RuralForester

Beiträge: 5
Registriert: 30.06.2016

Windows 7 Pro, Xeon E3-1241, Nvidia Quadro K620, Autocad 2014

erstellt am: 30. Jun. 2016 08:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich habe eine große Anzahl an "Feldern", die ich gerne mit geschlossenen Polylinien ausstatten würde. Ich habe eine Katasterkarte - die Grundstücke sollen alle ein geschlossenes Polygon drum bekommen, damit ich die ins GIS übertragen kann. Dies klappt sehr gut mit dem BOUNDARY Befehl. Da muss ich aber jetzt jedes einzelne Grundstück anklicken.

In jedem Grundstück befindet sich schon ein Punkt. Die Frage ist, ob ich diese Punkte nutzen kann, um dem Boundary-Befehl zu sagen, wo ich die Umrandungen hin haben will? Also alle Punkte auswählen und dann direkt die Umrandungen bekommen...´

Danke!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

scj
Mitglied
 


Sehen Sie sich das Profil von scj an!   Senden Sie eine Private Message an scj  Schreiben Sie einen Gästebucheintrag für scj

Beiträge: 554
Registriert: 09.08.2001

erstellt am: 30. Jun. 2016 09:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RuralForester 10 Unities + Antwort hilfreich

Vielleicht geht's so:
Zeichne ein großes Rechteck, das alle Deine Felder enthält.
Nimm den BOUNDARY-befehl und clicke einen Punkt an, der außerhalb der Felder, aber in Deinem Rechteck liegt.
Lösche das Rechteck.
- oder google mal nach ECO.lsp
Beste Grüße
Jochen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RL13
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Bauwesen


Sehen Sie sich das Profil von RL13 an!   Senden Sie eine Private Message an RL13  Schreiben Sie einen Gästebucheintrag für RL13

Beiträge: 2373
Registriert: 23.10.2008

Civil 3D 2018.1
Civil 3D 2016 64 Bit SP 3
mit DACH und Extensions
W7 Professional 64Bit
HP Z440
Intel Xeon CPU E5-1620 v4
32 GB RAM
NVIDIA Quadro P4000

erstellt am: 30. Jun. 2016 09:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RuralForester 10 Unities + Antwort hilfreich

Hallo,

da sehe ich bei Standard-AutoCAD keine andere Möglichkeit.

Tipp 1: lass Dir demnächst die Flurstücke im GIS-Format (SHP, oder auch nur die ALKIS-Daten) geben.
Dann musst Du keine Handstände machen, um sie wieder als "intelligente" Polygone mit Daten zurück ins GIS zu bekommen.

Tipp 2: mit AutoCAD Civil/Map geht so etwas über Erzeugung einer Topologie, dann ist auch gewährleistet, dass keine Lücken entstehen (Stichwort: Splitterpolygone)


------------------
mfg Roman

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RuralForester
Mitglied


Sehen Sie sich das Profil von RuralForester an!   Senden Sie eine Private Message an RuralForester  Schreiben Sie einen Gästebucheintrag für RuralForester

Beiträge: 5
Registriert: 30.06.2016

Windows 7 Pro, Xeon E3-1241, Nvidia Quadro K620, Autocad 2014

erstellt am: 30. Jun. 2016 10:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank für die Hinweise - ECO.lsp macht leider nicht das was ich will und der Trick mit dem Rechteck führt auch nicht zum Ergebnis.

Wenn es die Katasterdaten als SHP gäbe, hätte ich mir sie wohl besorgt, leider ist das Projekt nicht in Deutschland und ich bin zur Zeit froh, dass wir überhaupt Katasterdaten in einem digitalen Format bekommen konnten...

Wie würde das denn mit Civil gehen? Aus was denn die Topo erzeugen, und wie bekomme ich dann meine geschlossenen Polylinien in die Flurstücke?

Im Anhang nochmal ein Ausschnitt aus den Daten - die Magenta-farbigen Linien umgrenzen die Flurstücke - in jedem Flurstück ist ein Punkt. Leider sind die Magenta-Linien nur so wie man sie im Screenshot sieht. Die Begrenzung rechts/links ist über die grüne bzw. orange linie (durchgehend). Die linien sind aber alle sauber aneinander, sodass "BOUNDARY" funktioniert.


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RL13
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Bauwesen


Sehen Sie sich das Profil von RL13 an!   Senden Sie eine Private Message an RL13  Schreiben Sie einen Gästebucheintrag für RL13

Beiträge: 2373
Registriert: 23.10.2008

Civil 3D 2018.1
Civil 3D 2016 64 Bit SP 3
mit DACH und Extensions
W7 Professional 64Bit
HP Z440
Intel Xeon CPU E5-1620 v4
32 GB RAM
NVIDIA Quadro P4000

erstellt am: 30. Jun. 2016 11:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RuralForester 10 Unities + Antwort hilfreich

Zitat:
Wie würde das denn mit Civil gehen? Aus was denn die Topo erzeugen, und wie bekomme ich dann meine geschlossenen Polylinien in die Flurstücke?

http://forum.cad.de/foren/ubb/Forum285/HTML/000824.shtml#000004

------------------
mfg Roman

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Cadzer
Mitglied
Architekt; Dozent


Sehen Sie sich das Profil von Cadzer an!   Senden Sie eine Private Message an Cadzer  Schreiben Sie einen Gästebucheintrag für Cadzer

Beiträge: 41
Registriert: 31.01.2004

aca 2013/2019

erstellt am: 30. Jun. 2016 12:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RuralForester 10 Unities + Antwort hilfreich

Mit AutoCAD-Bordmitteln könnte man die Koordinaten der Punkte in eine Liste schreiben lassen (z.B. Datenextraktion) und diese dann bei der Punktabfrage verwenden.

------------------
ebene11.com - Webentwicklung . AutoCAD . Schulung

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RL13
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Bauwesen


Sehen Sie sich das Profil von RL13 an!   Senden Sie eine Private Message an RL13  Schreiben Sie einen Gästebucheintrag für RL13

Beiträge: 2373
Registriert: 23.10.2008

Civil 3D 2018.1
Civil 3D 2016 64 Bit SP 3
mit DACH und Extensions
W7 Professional 64Bit
HP Z440
Intel Xeon CPU E5-1620 v4
32 GB RAM
NVIDIA Quadro P4000

erstellt am: 30. Jun. 2016 13:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RuralForester 10 Unities + Antwort hilfreich

Zitat:
Mit AutoCAD-Bordmitteln könnte man die Koordinaten der Punkte in eine Liste schreiben lassen (z.B. Datenextraktion) und diese dann bei der Punktabfrage verwenden.

wie soll dass jetzt funktionieren?
Dafür stört doch immer noch der Dialog bzw. das nur ein Punkt nacheinander gewählt werden kann, oder geht das etwa per Script oder Lisp?

------------------
mfg Roman

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Ehrenmitglied V.I.P. h.c.
CAD on demand GmbH



Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4171
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools

erstellt am: 30. Jun. 2016 13:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RuralForester 10 Unities + Antwort hilfreich


FlurBoundary_setup_0.zip

 
Hallo RuralForester,

was ich als Lösung noch vorzuschlagen hätte, wäre das Erstellen einer Schraffur, und von dieser dann die Umgrenzungen erstellen lassen. Danach kann man die Schraffur ja wieder löschen.

Mit einem Programm lässt sich das aber auch einfacher und schneller erledigen.
Anbei ein Lösungsansatz mit einer Programmierung, das kannst du gerne testen. Ich kann mir vorstellen, dass das noch besser gemacht werden kann oder um funktionale Bestandteile sinnvoll zu erweitern wäre. z.Bsp Das ein Flächen-Beschriftungsblock eingefügt wird, der dann gleich die Flurstücksnummer übernimmt und die Fläche[m²] und Umfang[m] ermittelt und einträgt. Dann ließe sich das ganze auch noch in eine Tabelle rausschreiben ...

Bei Fragen ...

Grüße!
Holger
PS. das Tool ist eine Testversion, mit 10 Tagen Laufzeit(ab erster Verwendung)

------------------
Holger Brischke
CAD on demand GmbH
Individuelle Lösungen von Heute auf Morgen.


defun-tools Das Download-Portal für AutoCAD-Zusatzprogramme!


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RuralForester
Mitglied


Sehen Sie sich das Profil von RuralForester an!   Senden Sie eine Private Message an RuralForester  Schreiben Sie einen Gästebucheintrag für RuralForester

Beiträge: 5
Registriert: 30.06.2016

Windows 7 Pro, Xeon E3-1241, Nvidia Quadro K620, Autocad 2014

erstellt am: 30. Jun. 2016 14:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von Cadzer:
Mit AutoCAD-Bordmitteln könnte man die Koordinaten der Punkte in eine Liste schreiben lassen (z.B. Datenextraktion) und diese dann bei der Punktabfrage verwenden.


Das wäre sonst meine Idee - als LISP irgendwie.

Den folgenden Codeschnipsel habe ich schon gefunden - damit wird BOUNDARY ausgeführt. Jetzt müsste man nur noch die Punkte da reinbekommen (statt "getpoint")

Code:

(defun c:BND (/ pt)
  (while (setq pt (getpoint "\nPick internal point: "))
    (command "_.-boundary" "_a" "_i" "_n" "" "" "_non" pt "")
  )
  (princ)
)


@Holger: Danke, ich werde es auch mal damit versuchen. Für die Schraffur ergibt sich leider das gleiche Problem - wie mache ich die ganzen Schraffuren. LISP wäre wohl auch hier wieder die Lösung, wenn man es mit Bordmitteln versuchen will.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Cadzer
Mitglied
Architekt; Dozent


Sehen Sie sich das Profil von Cadzer an!   Senden Sie eine Private Message an Cadzer  Schreiben Sie einen Gästebucheintrag für Cadzer

Beiträge: 41
Registriert: 31.01.2004

aca 2013/2019

erstellt am: 30. Jun. 2016 15:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RuralForester 10 Unities + Antwort hilfreich

Zitat:
wie soll dass jetzt funktionieren?
Dafür stört doch immer noch der Dialog bzw. das nur ein Punkt nacheinander gewählt werden kann, oder geht das etwa per Script oder Lisp?

Ja, man kann zwar nur Punkt für Punkt wählen, aber das geht ja mit der Liste problemlos.
Beispiel: Wenn ich mal davon ausgehe, dass die Punkte 5,5; 5,15 und 5,25 in einer umschlossenen Fläche liegen, dann erzeugt mir folgender Befehlsablauf die passenden Umgrenzungen:

Code:
Befehl: -umgrenzung

Internen Punkt angeben oder [Optionen]: 5,5
Alles wird gewählt...
Alles Sichtbare wird gewählt...
Ausgewählte Daten werden analysiert...

Interne Inseln werden analysiert...

Internen Punkt angeben oder [Optionen]: 5,15

Interne Inseln werden analysiert...

Internen Punkt angeben oder [Optionen]: 5,25

Interne Inseln werden analysiert...

Internen Punkt angeben oder [Optionen]:

UMGRENZUNG hat 3 Polylinien erstellt.


Unterm Strich: wenn Acad nach dem internen Punkt fragt, per copy&paste die Liste in der Form:

Code:
5,5
5,15
5,25

einfügen - fertig.

------------------
ebene11.com - Webentwicklung . AutoCAD . Schulung

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RuralForester
Mitglied


Sehen Sie sich das Profil von RuralForester an!   Senden Sie eine Private Message an RuralForester  Schreiben Sie einen Gästebucheintrag für RuralForester

Beiträge: 5
Registriert: 30.06.2016

Windows 7 Pro, Xeon E3-1241, Nvidia Quadro K620, Autocad 2014

erstellt am: 30. Jun. 2016 15:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank, das ist die Lösung - so in etwa hatte ich mir das gedacht!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Ehrenmitglied V.I.P. h.c.
CAD on demand GmbH



Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4171
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools

erstellt am: 30. Jun. 2016 17:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RuralForester 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von RuralForester:
Vielen Dank, das ist die Lösung - so in etwa hatte ich mir das gedacht!

Welche Lösung meinst du?

Grüße!
Holger

------------------
Holger Brischke
CAD on demand GmbH
Individuelle Lösungen von Heute auf Morgen.


defun-tools Das Download-Portal für AutoCAD-Zusatzprogramme!


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RuralForester
Mitglied


Sehen Sie sich das Profil von RuralForester an!   Senden Sie eine Private Message an RuralForester  Schreiben Sie einen Gästebucheintrag für RuralForester

Beiträge: 5
Registriert: 30.06.2016

Windows 7 Pro, Xeon E3-1241, Nvidia Quadro K620, Autocad 2014

erstellt am: 30. Jun. 2016 17:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Von Cadzer, Post #9. Punkte als Liste extrahieren und dann über copy-paste in die Kommandozeile einfügen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2023 CAD.de | Impressum | Datenschutz